> For the complete documentation index, see [llms.txt](https://docs.ante.finance/ante/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ante.finance/ante/v05/why-use-ante/what-does-ante-cost-to-use.md).

# What does Ante cost to use?

For using Ante? No subscriptions, no billing, no invoicing.

Ante is an open, decentralized protocol. v0.5 is launching on Ethereum and is available for anyone to use.

As with all smart contracts running on the Ethereum blockchain, users have to pay gas costs using ETH.

However, there is **work that is needed** in order to create an **Ante Test** for your project:

* You can write your own Ante Test.
* You can hire developers to write an Ante Test for you.
* You can ask the Ante community to write an Ante Test for you.

When you deploy an `AnteTest` and generate an `AntePool`, there will not **automatically** be participants staking that pool from the start. You can choose to stake ETH in that `AntePool` (or have your project's treasury stake). You can also ask community members, investors, or supporters to stake.&#x20;

**Without staking in the `AntePool`, it's hard to signal legitimacy using Ante.** **Please plan accordingly.  As with any Smart Contract, never stake more than you are comfortable losing!**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ante.finance/ante/v05/why-use-ante/what-does-ante-cost-to-use.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
